components/mrtg/patches/mrtg-2.16.2-cfgmaker-ifhighspeed.patch
author Rich Burridge <rich.burridge@oracle.com>
Wed, 06 Jul 2016 16:43:24 -0700
branchs11u3-sru
changeset 6358 3b2a73b969a9
parent 5732 8aaddf844fc7
permissions -rw-r--r--
23640205 Update libarchive to version 3.2.1 23635980 problem in LIBRARY/LIBARCHIVE

Upstream patches:
https://bugzilla.redhat.com/show_bug.cgi?id=836197

--- mrtg-2.17.4/bin/cfgmaker	2016-01-07 06:23:10.755091799 -0800
+++ mrtg-2.17.4/bin/cfgmaker	2016-01-07 06:22:46.534894374 -0800
@@ -224,7 +224,7 @@ sub InterfaceInfo($$$$$) {
 #            maximum value (4,294,967,295) and ifHighSpeed must be used
 #            to report the interace's speed.  For a sub-layer which has
 #            no concept of bandwidth, this object should be zero."
-            if ( (not defined $value) || ($value == 2**32-1) ) {
+            if ( (not defined $value) || ($value == 2**32-1) || ($value == 2**32-2) ) {
                 ($if, $value) = split /:/, $ifHighSpeed[$i], 2;
 	        $value = $value * 1000000;  # highSpeed = contador * 10^6
                 debug('base',"Speed: $if - $value");